Description

When importing a CSV file, file encoding is pre-selected according to general_csv_encoding in config/locales/*.yml. For example,

"CP932" is selected by default when your language setting is Japanese.

I often use CSV files with UTF-8 encoding, but it's a bother to re-select UTF-8 in the encoding drop-down every time.

It would be nice if Redmine auto guesses the file encoding when importing a CSV file. Redmine already auto guess file encoding

when displaying attached files or repository contents using Setting.repositories_encodings.

Associated revisions

Revision 21352 - 2022-01-07 02:29 - Go MAEDA

Auto guess file encoding when importing CSV file (#34718).

Patch by Go MAEDA.

Revision 21353 - 2022-01-07 02:49 - Go MAEDA

RuboCop: fix Style/RedundantSort in app/models/import.rb (#34718).

Revision 21354 - 2022-01-07 11:06 - Go MAEDA

Fix wrong variable name in Import#set_default_settings (#34718).

History

#1 - 2022-01-02 09:14 - Go MAEDA

- File 34718.patch added

- Target version set to Candidate for next major release

Here is a patch to implement this feature.

The patch guesses the encoding of CSV files by checking if the encoding is one of Setting.repositories_encodings. It fallbacks to

general_csv_encoding ff the auto-guess fails.

#2 - 2022-01-04 06:51 - Mizuki ISHIKAWA

+1

#3 - 2022-01-05 03:23 - Go MAEDA

- Target version changed from Candidate for next major release to 5.0.0

Setting the target version to 5.0.0.

#4 - 2022-01-07 02:49 - Go MAEDA

- Status changed from New to Closed

- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed the patch.
Files

34718.patch 4.27 KB 2022-01-02 Go MAEDA
